export interface FormChapter {
	chapterTitle: string;
	index: number;
	summary: string;
	notes: string;
	genre: string[];
	bands: number[];
	characters: string[];
	relationships: string[][];
	nsfw: boolean;
	loggedInOnly: boolean;
	hidden: boolean;
	content: string;
	fileName: string;
}

export interface FormStory {
	title: string;
	chapters: FormChapter[];
	ficmas?: number | null;
	challenge?: number | null;
}

export const defaultChapter: FormChapter = {
	chapterTitle: "",
	index: 1,
	summary: "",
	notes: "",
	genre: [],
	bands: [],
	characters: [],
	relationships: [],
	nsfw: false,
	loggedInOnly: true,
	hidden: false,
	content: "",
	fileName: ""
}

export const defaultStory: FormStory = {
	title: "",
	chapters: [],
	ficmas: null,
	challenge: null,
}